# $Revision: 1.22 $, $Date: 2004/10/31 12:29:43 $
Summary:	A ppp monitor tool designed for blackbox
Summary(pl):	Narzdzie monitorujce poczenia ppp zaprojektowane dla blackboksa
Name:		bbppp
Version:	0.2.3
Release:	3
License:	GPL
Group:		X11/Applications
Source0:	http://bbtools.windsofstorm.net/sources/%{name}-%{version}.tar.gz
# Source0-md5:	c28c66ec68acc3fa32f3578b02b49b61
Patch0:		%{name}-sysconfdir.patch
Patch1:		%{name}-gcc33.patch
URL:		http://bbtools.windsofstorm.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bbppp allows you to connect and disconnect (with user supplied
scripts) with dial-up. It monitors load, lights blinking leds and
counts time of connection. It is highly integrated with blackbox
window manager (can use it's theme settings), but can also work with
other WM.

%description -l pl
bbppp pozwala poczy i rozczy si przez dial-up (uywajc
skryptw uytkownika). Moe monitorowa przepyw danych, zapala
mrugajce "diodki" i liczy czas poczenia.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO data/README.*
%attr(755,root,root) %{_bindir}/bb*
%dir %{_sysconfdir}/bbtools
%config(noreplace) %verify(not md5 size mtime) %{_sysconfdir}/bbtools/%{name}.*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: bbppp.spec,v $
Revision 1.22  2004/10/31 12:29:43  qboosh
- added /etc/bbtools dir to package (shared between bb* packages); release 3

Revision 1.21  2004/08/31 16:15:44  havner
- removed bbtools requires, other bb* doesn't have it
- rel 2

Revision 1.20  2004/03/28 15:57:37  qboosh
- added gcc33 patch, require used dir (not packaged yet?)

Revision 1.19  2003/08/18 08:07:56  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.18  2003/08/06 16:33:28  kloczek
- moe wrescie kto wykasuje to konto ?

Revision 1.17  2003/07/07 04:23:50  blues
- many small fixes, inspired by kloczek

Revision 1.16  2003/05/26 13:44:34  misi3k
- added Source0-md5

Revision 1.15  2003/05/26 13:05:26  misi3k
- updated to 0.2.3

Revision 1.14  2003/05/25 05:45:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/02/07 09:25:54  qboosh
- more typos

Revision 1.12  2003/02/06 21:26:15  migo
- random fixes in descriptions

Revision 1.11  2003/01/18 22:45:26  juandon
- removed two lines with define

Revision 1.10  2002/09/22 14:49:48  kloczek
- release 3: use new %doc.

Revision 1.9  2002/05/21 23:12:42  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/04/25 15:52:01  arturs
fixed a small typo

Revision 1.7  2002/03/24 23:28:14  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.6  2002/02/23 01:23:24  kloczek
- adapterized.

Revision 1.5  2002/02/22 23:28:43  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/02/03 20:43:03  ankry
- adding es/pt/pt_BR Group translations

Revision 1.3  2002/01/24 05:24:12  kloczek
- added "rm -f missing" on top %build.

Revision 1.2  2002/01/23 20:06:54  filon
- added sysconfdir patch (moves conf. files to /etc)
- config files are noreplace, noverify etc (you want to customize your blackbox, huh?)
- release 2

Revision 1.1  2002/01/23 10:49:16  filon
- new cute package
